%define ver	2.0.4
%define  RELEASE 1
%define  rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define prefix	/usr
%define sysconfdir	/etc
%define localstatedir	/var

Summary: Namazu is a search engine intented for easy use
Name: namazu
Version: %ver
Release: %rel
Copyright: GPL
Group: Applications/Text
Requires: perl >= 5.004, perl-File-MMagic >= 0.20, perl-NKF >= 1.70
Requires: kakasi >= 2.3.0, perl-Text-Kakasi >= 1.00
Source: namazu-%{ver}.tar.gz
URL: http://www.namazu.org/
BuildRoot: /var/tmp/namazu-%{ver}-root

%description
Namazu is a search engine software intended for easy use.  Not
only it works as CGI program for small or medium scale WWW search
engine, but also works as personal use such as search system for
local HDD.  Now, search clients for Mule and Tcl/Tk, JAVA and
Win32 are available.

%package devel
Summary: Libraries and include files of Namazu
Group: Development/Libraries
Requires: %name = %{PACKAGE_VERSION}

%description devel
Libraries and include files of Namazu.

%changelog
* Sun Feb 20 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- Install namazu.cgi at /home/httpd/cgi-bin.
- Fixed typo.

* Sat Feb 19 2000 Satoru Takabayashi <satoru-t@is.aist-nara.ac.jp>
- Change URL.

* Tue Feb 15 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- Delete package entries elisp and cgi.

* Wed Feb 02 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- Apapted for namazu-current.
- Changed group Utilities/Text -> Applications/Text.

* Thu Dec 30 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- rpm-3.0.x adaptations.
- Added package entries elisp and cgi (currently comment out). 
  [Merged SAKA Toshihide's changes for Kondara MNU/Linux.]

* Mon Nov 08 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- Changed includedir %{prefix}/include/namazu.
- Bug fix at configure section.

* Thu Nov 04 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- Added nmz-config in devel package.

* Wed Nov 03 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- Use our definite macros, ver, rel, prefix, sysconfdir, and localstatedir.
- If configure not found, use autogen.sh.
- Optimized for SMP environment.
- Build devel package.

* Tue Oct 12 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- Fixed correctly executables entry at %files.
- Added missing /usr/share/locale entry at %files.
 
* Thu Aug 26 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- Requires perl >= 5.004.
- Delete Packager tag.
- Clean up at %prep.
- Use CFLAGS="$RPM_OPT_FLAGS" at %build.
- Use $RPM_BUILD_ROOT variables at %install.
- Change configure option at %build and %files for new namazu directory structure.

* Sun May 23 1999 Taku Kudoh <taku@TAHOO.ORG>
- 

%prep 
%setup

%build
if [ ! -f configure ]; then
CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh \
	--prefix=%prefix \
	--sysconfdir=%sysconfdir \
	--localstatedir=%localstatedir \
	--libexecdir=/home/httpd/cgi-bin
else
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%prefix \
	--sysconfdir=%sysconfdir \
	--localstatedir=%localstatedir \
	--libexecdir=/home/httpd/cgi-bin
fi
if [ "$SMP" != "" ]; then
  make -j$SMP "MAKE=make -j$SMP"
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} \
     sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
     localstatedir=$RPM_BUILD_ROOT%{localstatedir} \
     libexecdir=$RPM_BUILD_ROOT/home/httpd/cgi-bin \
     install
mv $RPM_BUILD_ROOT%{sysconfdir}/namazu/namazurc-sample \
	$RPM_BUILD_ROOT%{sysconfdir}/namazu/namazurc
mv $RPM_BUILD_ROOT%{sysconfdir}/namazu/mknmzrc-sample \
	$RPM_BUILD_ROOT%{sysconfdir}/namazu/mknmzrc
chmod a+rw -R $RPM_BUILD_ROOT%{localstatedir}/namazu
chmod a+rw -R $RPM_BUILD_ROOT%{localstatedir}/namazu/index
strip $RPM_BUILD_ROOT%{prefix}/bin/namazu

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING INSTALL INSTALL-ja README README-ja
%doc NEWS THANKS TODO
%config %{sysconfdir}/namazu/*
%{prefix}/bin/namazu
%{prefix}/bin/*nmz
%{prefix}/bin/mailutime
%{prefix}/bin/nmzgrep
%{prefix}/lib/libnmz.so.*
/home/httpd/cgi-bin/namazu.cgi
%{prefix}/man/man1
%{prefix}/share/locale/*
%{prefix}/share/namazu/*
%dir %{localstatedir}/namazu
%dir %{localstatedir}/namazu/index

%files devel
%defattr(-, root, root)
%{prefix}/bin/nmz-config
%{prefix}/include/namazu/*.h
%{prefix}/lib/libnmz.so
%{prefix}/lib/libnmz.la
%{prefix}/lib/libnmz.a
